Debian Bug report logs - #491456
unoconv: UnoException during conversion: URL seems to be an unsupported one.

version graph

Package: unoconv; Maintainer for unoconv is Vincent Bernat <bernat@debian.org>; Source for unoconv is src:unoconv.

Reported by: System Administrator <buffalo.phil@free.fr>

Date: Sat, 19 Jul 2008 15:33:02 UTC

Severity: normal

Tags: moreinfo, unreproducible

Found in version unoconv/0.3-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to System Administrator <buffalo.phil@free.fr>:
New Bug report received and forwarded. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: System Administrator <buffalo.phil@free.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Sat, 19 Jul 2008 17:32:13 +0200
Package: unoconv
Version: 0.3-3
Severity: important


    hello,

$ LANG=en_us.UTF-8 unoconv -v -f odt philippe_bourcier.rtf
Input file: philippe_bourcier.rtf
unoconv: UnoException during conversion: URL seems to be an unsupported
one.
The provided document cannot be converted to the desired format.

$ pydb unoconv -v -f odt  philippe_bourcier.rtf 
(/usr/bin/unoconv:17):  <module>
17 import getopt, sys, os, glob, time
(Pydb) continue
Input file: philippe_bourcier.rtf
unoconv: UnoException during conversion: URL seems to be an unsupported
one.
The provided document cannot be converted to the desired format.
The program exited via sys.exit(). Exit status: 0
(/usr/bin/unoconv:17):  <module>
17 import getopt, sys, os, glob, time
(Pydb) 


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages unoconv depends on:
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-uno                    1:2.4.1-6  Python interface for OpenOffice.or

unoconv recommends no packages.

unoconv suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #10 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: System Administrator <buffalo.phil@free.fr>
Cc: 491456@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Sat, 19 Jul 2008 18:00:06 +0200
[Message part 1 (text/plain, inline)]
tag 491456 + unreproducible moreinfo
thanks

OoO Lors de  la soirée naissante du samedi 19  juillet 2008, vers 17:32,
System Administrator <buffalo.phil@free.fr> disait :

> $ LANG=en_us.UTF-8 unoconv -v -f odt philippe_bourcier.rtf
> Input file: philippe_bourcier.rtf
> unoconv: UnoException during conversion: URL seems to be an unsupported
> one.
> The provided document cannot be converted to the desired format.

Hi!

Does this bug happens on any document or just on some of them?

Could you please add "raise"  on line 486 of /usr/bin/unoconv and "print
inputurl" between lines 449 and 450 to get more information? I have also
attached a patch that does the same thing.

Thanks.

[unoconv-debug.patch (text/x-diff, inline)]
--- unoconv~	2008-07-19 17:59:12.000000000 +0200
+++ unoconv	2008-07-19 17:59:25.000000000 +0200
@@ -447,6 +447,7 @@
             inputprops = ( PropertyValue( "Hidden" , 0 , True, 0 ), )
 
             inputurl = unohelper.absolutize(self.cwd, unohelper.systemPathToFileUrl(inputfn))
+            print inputurl
             doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops )
 
             if not doc:
@@ -483,7 +484,7 @@
             error(0, "unoconv: UnoException during conversion: %s" % e.Message)
             error(0, "The provided document cannot be converted to the desired format.")
             exitcode = 1
-
+            raise
         except IOException, e:
             error(0, "unoconv: IOException during conversion: %s" % e.Message)
             error(0, "The provided document cannot be exported to %s." % outputfmt)
[Message part 3 (text/plain, inline)]
-- 
 Subject: (no subject)
 Lines: 2
 -+- AC in Guide du Généalogiste Ereinté - J'arrive à poster -+-
[Message part 4 (application/pgp-signature, inline)]

Tags added: unreproducible, moreinfo Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 19 Jul 2008 16:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to buffalo.phil@free.fr:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #17 received at 491456@bugs.debian.org (full text, mbox):

From: buffalo.phil@free.fr
To: 491456@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>, control@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Mon, 21 Jul 2008 20:11:12 +0200
    hello,

Quoting Vincent Bernat <bernat@debian.org>:

> tag 491456 + unreproducible moreinfo
> thanks
>
> OoO Lors de  la soirée naissante du samedi 19  juillet 2008, vers 17:32,
> System Administrator <buffalo.phil@free.fr> disait :
>
> > $ LANG=en_us.UTF-8 unoconv -v -f odt philippe_bourcier.rtf
> > Input file: philippe_bourcier.rtf
> > unoconv: UnoException during conversion: URL seems to be an unsupported
> > one.
> > The provided document cannot be converted to the desired format.
>
> Hi!
>
> Does this bug happens on any document or just on some of them?

  see below

> Could you please add "raise"  on line 486 of /usr/bin/unoconv and "print
> inputurl" between lines 449 and 450 to get more information? I have also
> attached a patch that does the same thing.

  sure:

$ unoconv -v -f odt philippe_bourcier.rtf
Input file: philippe_bourcier.rtf
file:///home/philippe/data/cv/philippe_bourcier.rtf
unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.
Traceback (most recent call last):
  File "/usr/bin/unoconv", line 566, in <module>
    main()
  File "/usr/bin/unoconv", line 545, in main
    convertor.convert(inputfn)
  File "/usr/bin/unoconv", line 451, in convert
    doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
)
__main__.IllegalArgumentException: URL seems to be an unsupported one.

  now, with another file:

$ wget http://dag.wieers.com/cv/curriculum-vitae-dag-wieers.pdf
--2008-07-21 20:03:07-- 
http://dag.wieers.com/cv/curriculum-vitae-dag-wieers.pdf
Résolution de dag.wieers.com... 62.213.193.164
Connexion vers dag.wieers.com|62.213.193.164|:80...connecté.
requête HTTP transmise, en attente de la réponse...200 OK
Longueur: 378569 (370K) [application/pdf]
Saving to: `curriculum-vitae-dag-wieers.pdf'

100%[======================================>] 378 569     42,7K/s   in 7,4s

2008-07-21 20:03:26 (50,1 KB/s) - « curriculum-vitae-dag-wieers.pdf » sauvegardé
[378569/378569]

$ unoconv -v -f odt curriculum-vitae-dag-wieers.pdf
Input file: curriculum-vitae-dag-wieers.pdf
file:///home/philippe/tmp/curriculum-vitae-dag-wieers.pdf
unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.
Traceback (most recent call last):
  File "/usr/bin/unoconv", line 566, in <module>
    main()
  File "/usr/bin/unoconv", line 545, in main
    convertor.convert(inputfn)
  File "/usr/bin/unoconv", line 451, in convert
    doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
)
__main__.IllegalArgumentException: URL seems to be an unsupported one.

    thanks,
-- 
Philippe Bourcier      http://bourcier.philippe.online.fr/






Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #22 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: buffalo.phil@free.fr
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Mon, 21 Jul 2008 21:28:52 +0200
[Message part 1 (text/plain, inline)]
OoO Pendant  le journal télévisé du  lundi 21 juillet  2008, vers 20:11,
buffalo.phil@free.fr disait :

> $ unoconv -v -f odt philippe_bourcier.rtf
> Input file: philippe_bourcier.rtf
> file:///home/philippe/data/cv/philippe_bourcier.rtf
> unoconv:  UnoException   during  conversion:   URL  seems  to   be  an
> unsupported one.

Do you have  openoffice.org-writer installed? If not, I  think this will
fix the  bug. If yes, I  will add them as  Recommends and add  a note in
README.Debian.
-- 
I AM NOT THE NEW DALAI LAMA
I AM NOT THE NEW DALAI LAMA
I AM NOT THE NEW DALAI LAMA
-+- Bart Simpson on chalkboard in episode 5F17
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to buffalo.phil@free.fr:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #27 received at 491456@bugs.debian.org (full text, mbox):

From: buffalo.phil@free.fr
To: 491456@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Wed, 23 Jul 2008 00:23:04 +0200
  hello,

Quoting Vincent Bernat <bernat@debian.org>:

> OoO Pendant  le journal télévisé du  lundi 21 juillet  2008, vers 20:11,

  bah oui, il y a mieux à faire ;)

> buffalo.phil@free.fr disait :
>
> > $ unoconv -v -f odt philippe_bourcier.rtf
> > Input file: philippe_bourcier.rtf
> > file:///home/philippe/data/cv/philippe_bourcier.rtf
> > unoconv:  UnoException   during  conversion:   URL  seems  to   be  an
> > unsupported one.
>
> Do you have  openoffice.org-writer installed?

$ aptitude search openoffice.org-writer
i openoffice.org-writer - OpenOffice.org office suite - word processor
i openoffice.org-writer2latex - Writer/Calc to LaTeX/XHTML converter extension
for OpenOffice.org

    thank you,
-- 
Philippe Bourcier      http://bourcier.philippe.online.fr/
>






Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to buffalo.phil@free.fr:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #32 received at 491456@bugs.debian.org (full text, mbox):

From: buffalo.phil@free.fr
To: 491456@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Wed, 23 Jul 2008 00:43:45 +0200
    re,

Quoting Vincent Bernat <bernat@debian.org>:

> tag 491456 + unreproducible moreinfo
> thanks
>
> OoO Lors de  la soirée naissante du samedi 19  juillet 2008, vers 17:32,
> System Administrator <buffalo.phil@free.fr> disait :
>
> > $ LANG=en_us.UTF-8 unoconv -v -f odt philippe_bourcier.rtf
> > Input file: philippe_bourcier.rtf
> > unoconv: UnoException during conversion: URL seems to be an unsupported
> > one.
> > The provided document cannot be converted to the desired format.

> Does this bug happens on any document or just on some of them?

  I found one example where unoconv (0.3-3) works:

$ unoconv -v -f odt  chiaranai_bourcier.rtf
Input file: chiaranai_bourcier.rtf
Selected output format: Open Document Text [.odt]
Selected ooffice filter: writer8
Used doctype: document
Output file: chiaranai_bourcier.odt

    hope this helps,
-- 
Philippe Bourcier      http://bourcier.philippe.online.fr/






Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #37 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: buffalo.phil@free.fr
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Wed, 23 Jul 2008 20:55:38 +0200
[Message part 1 (text/plain, inline)]
OoO  En cette nuit  nuageuse du  mercredi 23  juillet 2008,  vers 00:23,
buffalo.phil@free.fr disait :

>> > $ unoconv -v -f odt philippe_bourcier.rtf
>> > Input file: philippe_bourcier.rtf
>> > file:///home/philippe/data/cv/philippe_bourcier.rtf
>> > unoconv:  UnoException   during  conversion:   URL  seems  to   be  an
>> > unsupported one.
>> 
>> Do you have  openoffice.org-writer installed?

> $ aptitude search openoffice.org-writer
> i openoffice.org-writer - OpenOffice.org office suite - word processor
> i openoffice.org-writer2latex - Writer/Calc to LaTeX/XHTML converter extension
> for OpenOffice.org

I noticed that you have previously tried  on a pdf instead of a doc. May
you try this one:
 http://dag.wieers.com/cv/curriculum-vitae-dag-wieers.doc

I think  that the "URL unsupported"  is a generic exception  to say that
there  is no  filter to  open the  document. I  get it  if I  don't have
-writer installed but maybe there are other conditions.

Might you also try by moving out your .openoffice and .openoffice.org2?

Thanks.
-- 
I WILL NOT FAKE SEIZURES
I WILL NOT FAKE SEIZURES
I WILL NOT FAKE SEIZURES
-+- Bart Simpson on chalkboard in episode 8F23
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to buffalo.phil@free.fr:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #42 received at 491456@bugs.debian.org (full text, mbox):

From: buffalo.phil@free.fr
To: 491456@bugs.debian.org
Cc: Vincent Bernat <bernat@debian.org>
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Thu, 24 Jul 2008 21:21:10 +0200
    hi Vincent,

Quoting Vincent Bernat <bernat@debian.org>:

> OoO  En cette nuit  nuageuse du  mercredi 23  juillet 2008,  vers 00:23,
> buffalo.phil@free.fr disait :
>
> >> > $ unoconv -v -f odt philippe_bourcier.rtf
> >> > Input file: philippe_bourcier.rtf
> >> > file:///home/philippe/data/cv/philippe_bourcier.rtf
> >> > unoconv:  UnoException   during  conversion:   URL  seems  to   be  an
> >> > unsupported one.
> >>
> >> Do you have  openoffice.org-writer installed?
>
> > $ aptitude search openoffice.org-writer
> > i openoffice.org-writer - OpenOffice.org office suite - word processor
> > i openoffice.org-writer2latex - Writer/Calc to LaTeX/XHTML converter
> extension
> > for OpenOffice.org
>
> I noticed that you have previously tried  on a pdf instead of a doc. May
> you try this one:
>  http://dag.wieers.com/cv/curriculum-vitae-dag-wieers.doc

$ unoconv -v -f odt curriculum-vitae-dag-wieers.doc
Input file: curriculum-vitae-dag-wieers.doc
file:///home/philippe/tmp/curriculum-vitae-dag-wieers.doc
unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.
Traceback (most recent call last):
  File "/usr/bin/unoconv", line 567, in <module>
    main()
  File "/usr/bin/unoconv", line 546, in main
    convertor.convert(inputfn)
  File "/usr/bin/unoconv", line 451, in convert
    doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
)
__main__.IllegalArgumentException: URL seems to be an unsupported one.

> I think  that the "URL unsupported"  is a generic exception  to say that
> there  is no  filter to  open the  document. I  get it  if I  don't have
> -writer installed but maybe there are other conditions.
>
> Might you also try by moving out your .openoffice and .openoffice.org2?
$ ls -a ~ |grep openoffice
.openoffice.org2/
$ mv ~/.openoffice.org2 ~/.openoffice.org2.bck
$ unoconv -v -f odt curriculum-vitae-dag-wieers.doc
Input file: curriculum-vitae-dag-wieers.doc
file:///home/philippe/tmp/curriculum-vitae-dag-wieers.doc
unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.
Traceback (most recent call last):
  File "/usr/bin/unoconv", line 567, in <module>
    main()
  File "/usr/bin/unoconv", line 546, in main
    convertor.convert(inputfn)
  File "/usr/bin/unoconv", line 451, in convert
    doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
)
__main__.IllegalArgumentException: URL seems to be an unsupported one.

    hope this helps,
-- 
Philippe Bourcier      http://bourcier.philippe.online.fr/





Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@luffy.cx>:
Bug#491456; Package unoconv. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@luffy.cx>. Full text and rfc822 format available.

Message #47 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: buffalo.phil@free.fr
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Sun, 17 Aug 2008 19:07:45 +0200
[Message part 1 (text/plain, inline)]
OoO  En  ce début  de  soirée  du jeudi  24  juillet  2008, vers  21:21,
buffalo.phil@free.fr disait :

> $ unoconv -v -f odt curriculum-vitae-dag-wieers.doc
> Input file: curriculum-vitae-dag-wieers.doc
> file:///home/philippe/tmp/curriculum-vitae-dag-wieers.doc
> unoconv: UnoException during conversion: URL seems to be an unsupported one.
> The provided document cannot be converted to the desired format.
> Traceback (most recent call last):
>   File "/usr/bin/unoconv", line 567, in <module>
>     main()
>   File "/usr/bin/unoconv", line 546, in main
>     convertor.convert(inputfn)
>   File "/usr/bin/unoconv", line 451, in convert
>     doc = self.desktop.loadComponentFromURL( inputurl , "_blank", 0, inputprops
> )
> __main__.IllegalArgumentException: URL seems to be an unsupported one.

Hi Philippe!

Sorry for the late answer.

Could you try the following script:

[testunoconv.py (text/x-python, inline)]
#!/usr/bin/env python

FILE='file:///home/philippe/data/cv/philippe_bourcier.rtf'

import uno
From com.sun.star.beans import PropertyValue
localContext = uno.getComponentContext()
resolver = localContext.ServiceManager.createInstanceWithContext(
    "com.sun.star.bridge.UnoUrlResolver", localContext)
ctx = resolver.resolve( "uno:socket,host=localhost,port=2002;urp;StarOffice.ComponentContext" )
smgr = ctx.ServiceManager
desktop = smgr.createInstanceWithContext( "com.sun.star.frame.Desktop",ctx)
inputprops = ( PropertyValue( "Hidden" , 0 , True, 0 ), )
doc = desktop.loadComponentFromURL( FILE , "_blank", 0, inputprops )
[Message part 3 (text/plain, inline)]
You need to start OpenOffice with the following command before:
 soffice "-accept=socket,host=localhost,port=2002;urp;"

Tell me if you get the same error.

Thanks.
-- 
panic("Attempted to kill the idle task!");
	2.2.16 /usr/src/linux/kernel/exit.c
[Message part 4 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Tue, 27 Jan 2009 22:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dwks@theprogrammingsite.com:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Tue, 27 Jan 2009 22:09:02 GMT) Full text and rfc822 format available.

Message #52 received at 491456@bugs.debian.org (full text, mbox):

From: dwks@theprogrammingsite.com
To: <491456@bugs.debian.org>
Subject: Python script didn't work
Date: Tue, 27 Jan 2009 17:07:15 -0500
Hello,

I am having the same problem as Phil. I tried the testunoconv.py as you suggested (picking a different file and using a lowercase 'f' in "from"), and received the following error message:

Traceback (most recent call last):
  File "./conv.py", line 14, in <module>
    doc = desktop.loadComponentFromURL( FILE , "_blank", 0, inputprops )
__main__.IllegalArgumentException: URL seems to be an unsupported one.

I did start openoffice with the command you gave, but besides not working, it actually took up 100% of my CPU while it was running.

I have tried removing my ~/.openoffice.org2 directory (which does contain some unoconv stuff), but it made no difference.

$ mv .openoffice.org2/ old.openoffice.org2
$ cat conv.py
#!/usr/bin/env python

FILE='/tmp/somefile.odt'

import uno
from com.sun.star.beans import PropertyValue
localContext = uno.getComponentContext()
resolver = localContext.ServiceManager.createInstanceWithContext(
    "com.sun.star.bridge.UnoUrlResolver", localContext)
ctx = resolver.resolve( "uno:socket,host=localhost,port=2002;urp;StarOffice.ComponentContext" )
smgr = ctx.ServiceManager
desktop = smgr.createInstanceWithContext( "com.sun.star.frame.Desktop",ctx)
inputprops = ( PropertyValue( "Hidden" , 0 , True, 0 ), )
doc = desktop.loadComponentFromURL( FILE , "_blank", 0, inputprops )
$ soffice "-accept=socket,host=localhost,port=2002;urp;"
$ ./conv.py
Traceback (most recent call last):
  File "./conv.py", line 14, in <module>
    doc = desktop.loadComponentFromURL( FILE , "_blank", 0, inputprops )
__main__.IllegalArgumentException: URL seems to be an unsupported one.
$

Hope this helps.

-- 
dwk

Seek and ye shall find. quaere et invenies.

"Simplicity does not precede complexity, but follows it." -- Alan Perlis
"Testing can only prove the presence of bugs, not their absence." -- Edsger Dijkstra
"The only real mistake is the one from which we learn nothing." -- John Powell

My website: http://dwks.theprogrammingsite.com/




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Wed, 28 Jan 2009 05:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Wed, 28 Jan 2009 05:57:02 GMT) Full text and rfc822 format available.

Message #57 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: dwks@theprogrammingsite.com
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: Python script didn't work
Date: Wed, 28 Jan 2009 06:55:41 +0100
[Message part 1 (text/plain, inline)]
OoO La  nuit ayant déjà  recouvert d'encre ce  jour du mardi  27 janvier
2009, vers 23:07, dwks@theprogrammingsite.com disait :

> FILE='/tmp/somefile.odt'

Could you try with "file:///tmp/somefile.odt"?
-- 
BOFH excuse #222:
I'm not sure.  Try calling the Internet's head office -- it's in the book.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Thu, 29 Jan 2009 20:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dylan Vaughn <dylancvaughn@gmail.com>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Thu, 29 Jan 2009 20:51:05 GMT) Full text and rfc822 format available.

Message #62 received at 491456@bugs.debian.org (full text, mbox):

From: Dylan Vaughn <dylancvaughn@gmail.com>
To: 491456@bugs.debian.org
Subject: My fix
Date: Thu, 29 Jan 2009 12:49:25 -0800
I had this issue but finally fixed it by installing the:

openoffice.org-java-common

package.

Here are the openoffice packages I had to install (this is on an ec2
instance running etch with all the openoffice.org packages from
backports and unoconv installed directly from the 0.3.5 deb file)

~ # dpkg -l | grep openoffice
ii  openoffice.org-base-core             2.4.1-12~bpo40+1
       OpenOffice.org office suite -- libdba
ii  openoffice.org-common                2.4.1-12~bpo40+1
       OpenOffice.org office suite architecture independent files
ii  openoffice.org-core                  2.4.1-12~bpo40+1
       OpenOffice.org office suite architecture dependent files
ii  openoffice.org-headless              2.4.1-12~bpo40+1
       Headless VCL plugin for OpenOffice.org
ii  openoffice.org-java-common           2.4.1-12~bpo40+1
       OpenOffice.org office suite Java support arch. independent
files
ii  openoffice.org-style-andromeda       2.4.1-12~bpo40+1
       Default symbol style for OpenOffice.org
ii  openoffice.org-writer                2.4.1-12~bpo40+1
       OpenOffice.org office suite - word processor




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Sun, 01 Feb 2009 12:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Sun, 01 Feb 2009 12:00:02 GMT) Full text and rfc822 format available.

Message #67 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Dylan Vaughn <dylancvaughn@gmail.com>, buffalo.phil@free.fr
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: My fix
Date: Sun, 01 Feb 2009 12:58:48 +0100
[Message part 1 (text/plain, inline)]
OoO En  ce début de soirée du  jeudi 29 janvier 2009,  vers 21:49, Dylan
Vaughn <dylancvaughn@gmail.com> disait :

> I had this issue but finally fixed it by installing the:
> openoffice.org-java-common
> package.

Thanks for the report!

Philippe,  could you  try to  install openoffce.org-java-common  too and
check if it solves your problem as well?
-- 
 DP> http://couic-couic.fr
 le lien ne marche pas...
 -+- W in: Guide du Neuneu d'Usenet - Je lui fais couic-couic -+-
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Mon, 02 Feb 2009 21:00:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to dwks@theprogrammingsite.com:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Mon, 02 Feb 2009 21:00:12 GMT) Full text and rfc822 format available.

Message #72 received at 491456@bugs.debian.org (full text, mbox):

From: dwks@theprogrammingsite.com
To: <491456@bugs.debian.org>
Subject: file:/// doesn't help
Date: Mon, 02 Feb 2009 15:59:03 -0500
>> FILE='/tmp/somefile.odt'
>
> Could you try with "file:///tmp/somefile.odt"?

Sorry, I didn't notice that "file://" there . . . I did as you suggested, and it still didn't work.

> I had this issue but finally fixed it by installing the:
> openoffice.org-java-common
> package.
I will try this as soon as I get a chance, to see if it solves the problem for me.

I should note that I have many, many packages for openoffice installed -- dictionaries and the like. I also have more than one Java Virtual Machine installed, but this problem was still present when I only had one JVM.

-- 
dwk

Seek and ye shall find. quaere et invenies.

"Simplicity does not precede complexity, but follows it." -- Alan Perlis
"Testing can only prove the presence of bugs, not their absence." -- Edsger Dijkstra
"The only real mistake is the one from which we learn nothing." -- John Powell

My website: http://dwks.theprogrammingsite.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Tue, 03 Feb 2009 17:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dwks@theprogrammingsite.com:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Tue, 03 Feb 2009 17:33:02 GMT) Full text and rfc822 format available.

Message #77 received at 491456@bugs.debian.org (full text, mbox):

From: dwks@theprogrammingsite.com
To: <491456@bugs.debian.org>
Subject: updatding openoffice.org-java-common mostly fixes my problem
Date: Tue, 03 Feb 2009 12:31:25 -0500
>> I had this issue but finally fixed it by installing the:
>> openoffice.org-java-common
>> package.
>I will try this as soon as I get a chance, to see if it solves the problem for me.

I had that package installed, but by upgrading to the latest version, the problem was also mostly solved for me. The version I have installed now is 1:2.4.1-17, according to aptitude.

unoconv at first complained that it couldn't start open office, so I launched it myself with the above "soffice" command. It still used 100% of my processor, but while it was running, unoconv worked perfectly.

Note that I haven't upgraded all of openoffice (for time reasons), just openoffice.org-java-common. I'm running a Lenny system at the moment.

-- 
dwk

Seek and ye shall find. quaere et invenies.

"Simplicity does not precede complexity, but follows it." -- Alan Perlis
"Testing can only prove the presence of bugs, not their absence." -- Edsger Dijkstra
"The only real mistake is the one from which we learn nothing." -- John Powell

My website: http://dwks.theprogrammingsite.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Wed, 04 Mar 2009 11:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to fred_11 <fred_11@laposte.net>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Wed, 04 Mar 2009 11:48:02 GMT) Full text and rfc822 format available.

Message #82 received at 491456@bugs.debian.org (full text, mbox):

From: fred_11 <fred_11@laposte.net>
To: 491456@bugs.debian.org
Subject: URL seems to be an unsupported one
Date: Wed, 4 Mar 2009 12:44:43 +0100
Hello

Well i i new to debian debug system, so here could be the wrong place ..

There seem to be dependency problem in some pacjages ( openoffice ? )
which then lead to the URL message


for lenny :

* we tend to build most of our servers with the minimal system ( i.e.  
not even the standard metapackage )

on such a machine, at some stage we needed the unoconv utility

-> apt-get install unoconv
which installed many packages

-> we did have the URL unsupported


then after a (big) while, we decided to try the package on a 'noraml'  
lenny
so we installed the package with the Desktop and the standard  
metapackage

-> unoconv did work O.K.


My supposition is that there is a dependency problem in the  
installation of unoconv or of openoffice



F.







Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Sat, 07 Mar 2009 09:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Sat, 07 Mar 2009 09:57:03 GMT) Full text and rfc822 format available.

Message #87 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: fred_11 <fred_11@laposte.net>
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: URL seems to be an unsupported one
Date: Sat, 07 Mar 2009 10:51:54 +0100
[Message part 1 (text/plain, inline)]
OoO  Pendant le  temps de  midi du  mercredi 04  mars 2009,  vers 12:44,
fred_11 <fred_11@laposte.net> disait :

-> apt-get install unoconv
> which installed many packages

-> we did have the URL unsupported

Which kind of document  did you try to convert. For example,  if it is a
spreadsheet  document,   did  you  have   openoffice.org-writer  package
installed?
-- 
Let the data structure the program.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Mon, 09 Mar 2009 20:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Mon, 09 Mar 2009 20:24:02 GMT) Full text and rfc822 format available.

Message #92 received at 491456@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: 491456@bugs.debian.org
Subject: unoconv and X
Date: Mon, 09 Mar 2009 21:23:22 +0100
[Message part 1 (text/plain, inline)]
Do I understand correctly that unoconv can not be used in a term only
system? From the man page:

BUGS
 unoconv uses the UNO bindings to connect to OpenOffice, in absence of a
 usable socket, it will start its own OpenOffice instance with the
 correct parameters. However, OpenOffice requires a working DISPLAY
 (even with -headless option) and therefor you cannot run it in a true
 console, you need X.

I think that that might be the reason of this bug. Does
openoffice.org-headless have an appropriate bug listed somewhere?

Paul

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Mon, 09 Mar 2009 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Mon, 09 Mar 2009 22:12:03 GMT) Full text and rfc822 format available.

Message #97 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Paul Gevers <paul@climbing.nl>
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv and X
Date: Mon, 09 Mar 2009 22:33:54 +0100
[Message part 1 (text/plain, inline)]
OoO En ce début de soirée du lundi 09 mars 2009, vers 21:23, Paul Gevers
<paul@climbing.nl> disait :

> Do I understand correctly that unoconv can not be used in a term only
> system? From the man page:

> BUGS
>  unoconv uses the UNO bindings to connect to OpenOffice, in absence of a
>  usable socket, it will start its own OpenOffice instance with the
>  correct parameters. However, OpenOffice requires a working DISPLAY
>  (even with -headless option) and therefor you cannot run it in a true
>  console, you need X.

> I think that that might be the reason of this bug. Does
> openoffice.org-headless have an appropriate bug listed somewhere?

Well. This remark  was true with OpenOffice.org 2 but  may be false with
OpenOffice.org 3. This should be tested.
-- 
panic("mother...");
	2.2.16 /usr/src/linux/drivers/block/cpqarray.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Wed, 11 Mar 2009 16:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Gevers <paul@climbing.nl>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Wed, 11 Mar 2009 16:57:06 GMT) Full text and rfc822 format available.

Message #102 received at 491456@bugs.debian.org (full text, mbox):

From: Paul Gevers <paul@climbing.nl>
To: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv and X
Date: Wed, 11 Mar 2009 17:53:58 +0100
[Message part 1 (text/plain, inline)]
(Sorry that I started something slightly different with my previous mail.)

>> BUGS
>>  unoconv uses the UNO bindings to connect to OpenOffice, in absence of a
>>  usable socket, it will start its own OpenOffice instance with the
>>  correct parameters. However, OpenOffice requires a working DISPLAY
>>  (even with -headless option) and therefor you cannot run it in a true
>>  console, you need X.
> 
>> I think that that might be the reason of this bug. Does
>> openoffice.org-headless have an appropriate bug listed somewhere?
> 
> Well. This remark  was true with OpenOffice.org 2 but  may be false with
> OpenOffice.org 3. This should be tested.

Well, I am trying to use unoconv in a debian package during build time,
but I can't get that to work. So it seams to me this is still an issue
with OOo 3. See below:

build depend on unoconv (should pull in the necessary packages):
in rules file:
/usr/bin/unoconv -d odt -f pdf --stdout WinFF.odt > winff.pdf
gets me:

Error: Unable to connect or start own listener. Aborting.(pbuild27653)
etna winff-0.45.1 #

make: *** [build-stamp] Error 251
dpkg-buildpackage: failure: debian/rules build gave error exit status 2
pbuilder: Failed autobuilding of package
javaldx: Could not find a Java Runtime Environment!
I18N: Operating system doesn't support locale "en_US"
/usr/lib/openoffice/program/soffice.bin X11 error: Can't open display: :0
   Set DISPLAY environment variable, use -display option
   or check permissions of your X-Server
   (See "man X" resp. "man xhost" for details)

Running the command in my pbuilder environment:
(pbuild27653) etna winff-0.45.1 # /usr/bin/unoconv -d odt -f pdf
--stdout WinFF.odt > winff.pdf
I18N: Operating system doesn't support locale "en_US"
/usr/lib/openoffice/program/soffice.bin X11 error: Can't open display: :0
   Set DISPLAY environment variable, use -display option
   or check permissions of your X-Server
   (See "man X" resp. "man xhost" for details)
javaldx: Could not find a Java Runtime Environment!
I18N: Operating system doesn't support locale "en_US"
/usr/lib/openoffice/program/soffice.bin X11 error: Can't open display: :0
   Set DISPLAY environment variable, use -display option
   or check permissions of your X-Server
   (See "man X" resp. "man xhost" for details)
Error: Unable to connect or start own listener. Aborting.


Kind regards
Paul

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Wed, 11 Mar 2009 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Wed, 11 Mar 2009 17:39:03 GMT) Full text and rfc822 format available.

Message #107 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Paul Gevers <paul@climbing.nl>
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv and X
Date: Wed, 11 Mar 2009 18:38:13 +0100
[Message part 1 (text/plain, inline)]
OoO Lors  de la soirée naissante  du mercredi 11 mars  2009, vers 17:53,
Paul Gevers <paul@climbing.nl> disait :

> Well, I am trying to use unoconv in a debian package during build time,
> but I can't get that to work. So it seams to me this is still an issue
> with OOo 3. See below:

> build depend on unoconv (should pull in the necessary packages):
> in rules file:
> /usr/bin/unoconv -d odt -f pdf --stdout WinFF.odt > winff.pdf
> gets me:

> Error: Unable to connect or start own listener. Aborting.(pbuild27653)
> etna winff-0.45.1 #

Startening  a  listener is  still  a  bit  flaky. Sometimes,  it  works,
sometimes it  doesn't. Once  the listener is  started, this  should work
fine. Because of this uncertainity,  I would not recommend using unoconv
as part of building a package.

unoconv works fine to convert  a batch of documents using something like
"for x in *.doc;  do unoconv ... ; done" but I think  it is not ready to
run unattended.

> make: *** [build-stamp] Error 251
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2
> pbuilder: Failed autobuilding of package
> javaldx: Could not find a Java Runtime Environment!
> I18N: Operating system doesn't support locale "en_US"
> /usr/lib/openoffice/program/soffice.bin X11 error: Can't open display: :0
>    Set DISPLAY environment variable, use -display option
>    or check permissions of your X-Server
>    (See "man X" resp. "man xhost" for details)

Well, it  seems that OpenOffice still  needs X. Maybe  for fonts related
things.
-- 
RH: Ca se deinstalle comment, un slack ?
NB: Avec un demonte-pneu ?
-+- NB in Guide du Fmblien Assassin : "demolition man" -+-
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Sat, 15 May 2010 12:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to David D Lowe <daviddlowe.flimm@gmail.com>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Sat, 15 May 2010 12:00:07 GMT) Full text and rfc822 format available.

Message #112 received at 491456@bugs.debian.org (full text, mbox):

From: David D Lowe <daviddlowe.flimm@gmail.com>
To: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Sat, 15 May 2010 12:56:20 +0100
I had exactly the same error:

unoconv: UnoException during conversion: URL seems to be an unsupported one.
The provided document cannot be converted to the desired format.

Installing openoffice.org-java-common and openoffice.org-base-core did
not fix it, however, installing openoffice.org-writer did.

I needed to install openoffice.org-calc for spreadsheets and
openoffice.org-impress for presentations.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Sat, 15 May 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Sat, 15 May 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #117 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: David D Lowe <daviddlowe.flimm@gmail.com>
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: unoconv: UnoException during conversion: URL seems to be an unsupported one.
Date: Sat, 15 May 2010 14:16:19 +0200
[Message part 1 (text/plain, inline)]
OoO  Peu avant  le début  de l'après-midi  du samedi  15 mai  2010, vers
13:56, David D Lowe <daviddlowe.flimm@gmail.com> disait :

> unoconv: UnoException during conversion: URL seems to be an unsupported one.
> The provided document cannot be converted to the desired format.

> Installing openoffice.org-java-common and openoffice.org-base-core did
> not fix it, however, installing openoffice.org-writer did.

> I needed to install openoffice.org-calc for spreadsheets and
> openoffice.org-impress for presentations.

unoconf    package   suggests    openoffice.org    which   depends    on
openoffice.org-writer,              openoffice.org-calc              and
openoffice.org-impress. Suggesting instead of depending allow you to not
install Calc if you don't need (for example).

I may add a note about this on README.Debian.
-- 
panic("Unable to find empty mailbox for aha1542.\n");
	2.2.16 /usr/src/linux/drivers/scsi/aha1542.c
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Vincent Bernat <bernat@debian.org>:
Bug#491456; Package unoconv. (Sat, 25 Jun 2011 11:58:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hagen Kuehn <hagen.kuehn@quader.com>:
Extra info received and forwarded to list. Copy sent to Vincent Bernat <bernat@debian.org>. (Sat, 25 Jun 2011 11:58:05 GMT) Full text and rfc822 format available.

Message #122 received at 491456@bugs.debian.org (full text, mbox):

From: Hagen Kuehn <hagen.kuehn@quader.com>
To: 491456@bugs.debian.org
Subject: It works without X server in headless mode
Date: Sat, 25 Jun 2011 12:54:09 +0100
I run into the same issue and subsequently found this blog and went
through every single suggestion provided so far but was not able to
resolve it.

Though, I finally figured it out and share it here in case someone else
gets the same trouble.

In my case, I only wanted to use "unoconv" on my headless (no X Server)
Ubuntu 11.04 (natty) chroot.
It took me many many hours. Therefore the sequence of steps outlined
below does not reflect what I have gone through but it shows the
relevant bits.

#Installed "unoconv"
$sudo apt-get install unoconv

#Run "unoconv"
$unoconv -f pdf mytext.txt
javaldx: Could not find a Java Runtime Environment! 
Please ensure that a JVM and the package libreoffice-java-common
is installed.
If it is already installed then try removing
~/.libreoffice/3/user/config/javasettings_Linux_*.xml
Error: Unable to connect or start own listener. Aborting.

#I followed the suggestion and installed "libreoffice-java-common" and
"openjdk-6-jre-headless".

#Run "unoconv"
$unoconv -f pdf mytext.txt

unoconv: UnoException during conversion: URL seems to be an unsupported
one.
The provided document cannot be converted to the desired format.

#Then I came across this debian bug 491456 discussion and followed the
suggestion to install
#"libreoffice-writer" "libreoffice-calc" "libreoffice-impress"

#Run "unoconv"
$unoconv -f pdf mytext.txt
Error: Unable to connect or start own listener. Aborting.

#Then I learned that (mentioned above in this thread) that the
LibreOffice process (soffice) needs to be running.
$ soffice
Failed to open display

#I didn't worry about this much and run the "unoconv" command again
$unoconv -f pdf mytext.txt
Error: Unable to connect or start own listener. Aborting.

#Eventually I figured out that the "soffice" process needs to be started
with the "-headless" and "-nofirststartwizard" parameters.
http://code.google.com/p/openmeetings/wiki/OpenOfficeConverter
Note: Make sure that you kill any previously started "soffice"
processes. To check this, run "ps -l | grep soffice".

$/usr/lib/libreoffice/program/soffice -headless -nofirststartwizard
-accept="socket,host=localhost,port=8100;urp;StarOffice.Service"

#Run "unoconv"
$unoconv -f pdf mytext.txt

Now, it worked. It successfully converted "mytext.txt" to "mytext.pdf".





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#491456; Package unoconv. (Sat, 25 Jun 2011 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. (Sat, 25 Jun 2011 12:12:04 GMT) Full text and rfc822 format available.

Message #127 received at 491456@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Hagen Kuehn <hagen.kuehn@quader.com>
Cc: 491456@bugs.debian.org
Subject: Re: Bug#491456: It works without X server in headless mode
Date: Sat, 25 Jun 2011 14:08:33 +0200
[Message part 1 (text/plain, inline)]
OoO Peu  avant le  début de  l'après-midi du samedi  25 juin  2011, vers
13:54, Hagen Kuehn <hagen.kuehn@quader.com> disait :

> #Run "unoconv"
> $unoconv -f pdf mytext.txt
> Error: Unable to connect or start own listener. Aborting.

The  main problem  is that  unoconv is  not able  to start  its listener
itself. It tries to launch it with:
 soffice -headless -invisible -nocrashreport -nodefault \
         -nofirststartwizard -nologo -norestore \
         -accept=socket,host=localhost,port=8100;urp;StarOffice.Service

Does it work for you?

Could you try to enable verbose (unoconv -v)?
-- 
Vincent Bernat ☯ http://www.luffy.cx

Indent to show the logical structure of a program.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'normal' from 'important' Request was from Vincent Bernat <bernat@debian.org> to control@bugs.debian.org. (Sat, 28 Apr 2012 07:54:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:53:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.